Ticket #42916

gtk4 parse_options(): Check against unknown options

Open Date: 2021-09-25 19:22 Last Update: 2022-03-29 01:37

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

As comment in gtk4 parse_options() notes:

/* TODO: gtk is about to drop its commandline options anyway,
      • so we can stop supporting them and have error checking
      • added here. */

gtk commandline options have already been dropped from the gtk4 development version gtk3x-client currently uses.

Ticket History (3/6 Histories)

2021-09-25 19:22 Updated by: cazfi
  • New Ticket "gtk4 parse_options(): Check against unknown options" created
2022-03-16 19:46 Updated by: cazfi
Comment

Also, the same TODO comment in gtk3.22-client makes no sense - gtk+-3 API is not going to change. Removing that comment applies even to S3_0.

2022-03-17 03:37 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-03-29 01:37 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login